# BigQuery

## Grant Teleskope Access to BigQuery

Attach the following roles to the Teleskope service account you created:

* roles/bigquery.jobUser
* roles/bigquery.metadataViewer
* roles/bigquery.dataViewer

## Terraform

| Variable    | Description                    | Example         |
| ----------- | ------------------------------ | --------------- |
| project\_id | (Required) Your GCP Project ID | "my-project-id" |

```
resource "google_project_iam_member" "teleskope" {
  for_each = toset([
    "roles/bigquery.jobUser",
    "roles/bigquery.metadataViewer",
    "roles/bigquery.dataViewer",
    "roles/bigquery.dataEditor"  // only need for deletion/masking purposes
  ])
  project = "project_id"
  role    = each.key
  members = "serviceAccount:${google_service_account.teleskope.email}"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teleskope.ai/connectors/gcp/bigquery.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
